<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');
echo '<p class="page_title_text"><img src="'.$RootPath.'/css/'.$Theme.'/images/prospect.jpg"> </p>';
?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     
     
		<div class="m-portlet  m-portlet--unair">
							<div class="m-portlet__body  m-portlet__body--no-padding">
								<div class="row m-row--no-padding m-row--col-separator-xl">
										<div class="col-md-12 col-lg-6 col-xl-3">

										<!--begin::New Users-->
										<div class="m-widget24">
											<div class="m-widget24__item">
												<h4 class="m-widget24__title">
													Total Prospects
												</h4><br>
												<span class="m-widget24__desc">
													All types
												</span>
												<span class="m-widget24__stats m--font-success">
													<?php 
													
													$SQL =  "select count(*) as total from prospecting";
														
			$result = DB_query($SQL);
	
			$myrowuser = DB_fetch_array($result) ;
		$total= $myrowuser['total'];
													echo $total;
													
													
													
													?>
												</span>
											
											</div>
										</div>

										<!--end::New Users-->
									</div>
										<div class="col-md-12 col-lg-6 col-xl-3">

										<!--begin::New Feedbacks-->
										<div class="m-widget24">
											<div class="m-widget24__item">
												<h4 class="m-widget24__title">
													Quotations
												</h4><br>
												<span class="m-widget24__desc">
													Total Value
												</span>
												<span class="m-widget24__stats m--font-info">
													<?php 
													
													$SQL1 =  "select sum(amount) as total from salesorders WHERE quotation =1";
														
			$result1 = DB_query($SQL1);
	
			$myrowuser1 = DB_fetch_array($result1) ;
		$total1= $myrowuser1['total'];
													$quote = number_format($total1,2,".",",");
													echo "$".$quote;
													
													
													
													?>
												</span>
											
											</div>
										</div>

										<!--end::New Feedbacks-->
									</div>
										<div class="col-md-12 col-lg-6 col-xl-3">

										<!--begin::New Orders-->
										<div class="m-widget24">
											<div class="m-widget24__item">
												<h4 class="m-widget24__title">
													Tender Won!
												</h4><br>
												<span class="m-widget24__desc">
													Value:
												</span>
												<span class="m-widget24__stats m--font-danger">
													<?php 
													
													$SQL2 =  "select deal_value from prospecting WHERE phases = 'Tender Won'";
														
			$result2 = DB_query($SQL2);
	
			$myrowuser2 = DB_fetch_array($result2) ;
		$total2= $myrowuser2['deal_value'];
													
													$tender = money_format('$%i', $total2);
													$tender1 = number_format($total2,2,".",",");
													echo "$".$tender1;
													  
													
													
													?>
												</span>
											
											</div>
										</div>

										<!--end::New Orders-->
									</div>
									
								
								
							
								</div>
							</div>
						</div>

   
  
 									
									<?php
//this is where you paste. Below paste it:

echo '<link href="' . $RootPath . '/css/evergreen2'.'/default.css" rel="stylesheet" type="text/css" media="screen"/>';


//echo '<p class="page_title_text"><img src="'.$RootPath.'/css/'.$Theme.'/images/prospect.jpg"> </p>';
      
	echo '<div class="col-sm-12">';
		
    include('xcrud/xcrud.php');
    $xcrud = Xcrud::get_instance();
	$xcrud->table('prospecting');
	$xcrud->order_by('prospectid','desc');
	$xcrud->table_name('Prospecting/Pipeline/Bidding Management ');
	$xcrud->relation('department','department','departmentid','departmentname');
			
    $xcrud->change_type('phases','select','Lead','Lead,Discussion,Quoting,Negotiating,Signup,Cancelled,Suspended,Tender Won,Tender Lost,Tender Yet to be awared');
$xcrud->change_type('lead_source','select','Existing Customer','Existing Customer,facebook,Linkedin,twitter,email marketing,referral,Newspaper Ads,TV Ads,Networking Events');
$xcrud->change_type('prospect_type','select','General','General,Tender');
	$xcrud->sum('jan_projection,feb_projection,mar_projection,apr_projection,may_projection,jun_projection,jul_projection,aug_projection,sept_projection,oct_projection,nov_projection,dec_projection,cy_total_year1,cy_total_year2,cy_total_year3','align-center','Total ${value}');
		$xcrud->columns('prospectid,date_entered,lead_source,prospect_type,customer,business_name,mobile,email,suburb,department,phases,deal_value,tender_close_date');
			
    $xcrud->fields('prospectid,date_entered,lead_source,prospect_type,customer,business_name,contact_person,phone,mobile,email,suburb,department,phases,deal_value,tender_close_date', false, 'Basic Profile');
$xcrud->relation('customer','debtorsmaster','debtorno','name');
   $xcrud->fields('products_interested_in,probability_of_conversion,revenue_projection_date,margin', false, 'Insights');
$xcrud->fields('jan_projection,feb_projection,mar_projection,apr_projection,may_projection,jun_projection,jul_projection,aug_projection,sept_projection,oct_projection,nov_projection,dec_projection,cy_total_year1,cy_total_year2,cy_total_year3', false, 'Projections');
$xcrud->column_pattern('prospectid', '<a href="#" class="xcrud-action" data-task="edit" data-primary="{prospectid}">{value}</a>');
	$xcrud->duplicate_button();
	$xcrud->change_type('deal_value', 'price', '0', array('prefix'=>'$'));



$xcrud->set_attr('customer',array('id'=>'customer'));
$xcrud->set_attr('business_name',array('id'=>'business_name'));


$stages = $xcrud->nested_table('Stages','prospectid','prospect_stages','prospectid');

$notes = $xcrud->nested_table('Notes','prospectid','prospect_notes','prospectid'); 





	echo $xcrud->render();

echo '</div>';
echo '</div>';






			  
 	echo '</div >';
	?>
						
 
		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>

jQuery(document).ready(function($){

	 
$(".xcrud").on("change","#existing_customer",function(){ // !important, delegation from static container
   var existing_customer = $("#existing_customer").val();
	 
	
  if(existing_customer == '1')
      {
		$("#business_name").prop("disabled", true);
		  $("#customer").prop("disabled", false);
		  
     }
else{
	 $("#business_name").prop("disabled", false);
	$("#customer").prop("disabled", true);
	}
     
	  
});

	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>